import { RegSuitConfiguration } from "reg-suit-interface";
import { RegLogger } from "reg-suit-util";
export declare class ConfigManager {
    private _logger;
    private _noEmit;
    readonly defaultConfigFileName: string;
    constructor(_logger: RegLogger, _noEmit: boolean);
    replaceEnvValue(rawConfig: RegSuitConfiguration): RegSuitConfiguration;
    readConfig(configFileName?: string): {
        readUserConfig: boolean;
        config: RegSuitConfiguration;
    };
    writeConfig(config: RegSuitConfiguration, configFileName?: string): void;
    private _getConfigPath(configFileName);
}
